> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/get-master-funds-deposit-history-only-partner-needed.md).

# Get Master Funds Deposit History(only partner needed)

<mark style="color:green;">`GET`</mark> /api/v2/cards/master-funds-deposit-history

**Headers**

| Param        | Value                                                                                                                   |
| ------------ | ----------------------------------------------------------------------------------------------------------------------- |
| access-token | It is accessToken  has returned from the [api Access Token](/alix-pay/api-reference/alix-card-api/auth/access-token.md) |

PATH params

| Name     | Value                                    |
| -------- | ---------------------------------------- |
| page     | the number of page. Start from  page 1   |
| pageSize | the number of data in a page. 10, 20, 30 |
| status   | <p>COMPLETED<br>REJECTED<br>PENDING</p>  |

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Your request has been successful",
    "data": {
        "items": [
            {
                "amount": 10,
                "tx": "0xcfa95a34ebe22691bf2662ad3b2c44b38cb2467a6a4329295043790606ec8d44",
                "network": "BEP20",
                "currency": "USDT",
                "status": "COMPLETED",
                "time": 1732158453
            }
        ],
        "totalPage": 1
    },
    "errorCode": 0
}

```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

**Description of  Data**&#x20;

<table><thead><tr><th width="237">Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td>amount</td><td>number</td><td>This is current your balance on Alix Pay</td></tr><tr><td>currency</td><td>string</td><td>USDT</td></tr><tr><td><code>tx</code></td><td>string</td><td>The wallet address of master funds on Alix Address</td></tr><tr><td><code>status</code></td><td>string</td><td>The status of tx: Completed, pending, rejected</td></tr><tr><td>network</td><td>string</td><td>The coin's network</td></tr><tr><td>time</td><td>datetime</td><td>Time of tx</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/get-master-funds-deposit-history-only-partner-needed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
